ipe::PdfName Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfName (const String &val)
virtual const PdfName * | name () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
String | value () const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF name object.

## Constructor & Destructor Documentation

## PdfName()

ipe::PdfName::PdfName | ( | const String & | val | ) |

inline explicit

References ipe::PdfObj::name(), and ipe::PdfObj::write().

## Member Function Documentation

## name()

const PdfName * PdfName::name | ( |  | ) | const

virtual noexcept

Return this object as PDF name object.

Reimplemented from ipe::PdfObj.

## write()

void PdfName::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const

virtual noexcept

Implements ipe::PdfObj.

## value()

String ipe::PdfName::value | ( |  | ) | const

inline noexcept

Referenced by ipe::PdfFile::catalog(), ipe::PdfResources::collect(), ipe::PdfDict::deflated(), ipe::CairoPainter::executeStream(), ipe::Face::Face(), ipe::Document::formatFromFilename(), ipe::Face::glyphIndex(), and ipe::PdfFile::parse().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp